Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 601826 (CVE-2016-9908)

Summary: <app-emulation/qemu-2.8.0: display: virtio-gpu-3d: information leakage in virgl_cmd_get_capset (CVE-2016-9908)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg00059.html
Whiteboard: B4 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 601824, 604010    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2016-12-06 16:15:22 UTC
From ${URL} :

Quick Emulator built with the Virtio GPU Device emulator support is vulnerable 
to an information leakage issue. It could occur while processing 
'VIRTIO_GPU_CMD_GET_CAPSET' command.

A guest user/process could use this flaw to leak contents of the host memory 
bytes.

Upstream patch:
---------------
   -> http://lists.gnu.org/archive/html/qemu-devel/2016-11/msg00059.html



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 18:56:25 UTC
i've added it to our 2.8.0 ebuild
Comment 2 Thomas Deutschmann gentoo-dev 2017-01-01 19:01:42 UTC
Stabilization will be happen as part of bug 601824.
Comment 3 Thomas Deutschmann gentoo-dev 2017-01-21 22:48:43 UTC
Added to an existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:07:07 UTC
This issue was resolved and addressed in
 GLSA 201701-49 at https://security.gentoo.org/glsa/201701-49
by GLSA coordinator Aaron Bauman (b-man).